Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - rust-git

Package Base Details: rust-git

Git Clone URL: https://aur-dev.archlinux.org/rust-git.git (read-only)
Keywords: mozilla rust
Submitter: mrshpot
Maintainer: spider-mario
Last Packager: spider-mario
Votes: 26
Popularity: 0.162344
First Submitted: 2012-01-21 11:30
Last Updated: 2017-02-03 23:50

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

Apes commented on 2014-04-04 19:47

The PKGBUILD just grabs whatever is on the HEAD of the master branch of the rust git project. It would be better to grab the tarball for one of the releases, or at the very least use a specific commit or tag.

spider-mario commented on 2014-03-30 12:40

Done, thank you.

spider-mario commented on 2014-03-30 10:34

There’s already a call to chrpath (I think I added it before e715cdba31ae2bfee603cfe0c56260390ec36f1c) but --disable-rpath would, indeed, avoid an unnecessary step, as well as remove a build-time dependency on chrpath.

thestinger commented on 2014-03-30 04:56

This should pass --disable-rpath --disable-verify-install, to avoid adding incorrect runpaths and to disable the newly added installation verification.

thestinger commented on 2014-03-09 00:31

@HalosGhost: It's intended to be that way. Git has a `describe` command and versions are described as `${last_tag}-${commits_since_last_tag}-g${commit_id}`.

HalosGhost commented on 2014-03-09 00:24

Perhaps it is just me, but I find it odd that the pkgver reports this as being based on 0.9.

All the best,

thestinger commented on 2014-02-07 00:01

The nightly build will be fixed after https://github.com/mozilla/rust/pull/12076 lands. It passes `--disable-rpath` to configure and this option broke a few days ago.

colemickens commented on 2014-02-06 01:19

Sorry, I'd unflag this if I could. I accidentally flagged this when thinking of thestinger's binary repo being out-of-date. My mistake.

thestinger commented on 2013-11-16 22:43

It needs to be updated to include `options=(staticlibs)` since the default is now to remove them:

https://github.com/thestinger/packages/tree/master/rust-git

Note that there's a nightly repository you can use instead of building yourself: http://pkgbuild.com/~thestinger/repo/

thestinger commented on 2013-11-16 22:41

It needs to be updated to flip off removing static libraries:

https://github.com/thestinger/packages/tree/master/rust-git